<bugID>1249642<Summary>Enable environment selection in aboutNewTabService.js for remote URLs</Summary><Description>Given that we're locking down the remote URL for about:newtab, we still need to be able to change the URLs depending on "environments".

Use-cases:

1. development: where we want about:newtab to point to localhost.
2. test: we want to point to mochitest URL locations
3. staging: for CI to test pre-production resources
4. production: for all users

Given the update mechanisms, we also need to make the remote newtab versioning live in a pref. This allows for updates via addons, which will be needed after a signing key update or just an update of the page.

The environments are described in bug 1239118, so there should be some consolidation with the code there.

Note, this only affects remote newtab URLs and this codepath is only ever run when /browser's AboutRedirector is hit.</Description></bugID>